# V1.0.0

dokos v1.0.0 is based on Frappe/ERPNext v12.x.x
Below are the main differences with Frappe/ERPNext.

### dokos
- The following domains are not present in dokos:
    * Hospitality
    * Healthcare
    * Education
    * Non profit
    * Agriculture
- The hub has been removed from dokos
- The following document types have been removed from dokos:
    * POS Settings: The offline POS has been completely disabled in dokos
    * Cashier closing
    * Cashier closing payments
    * Bank Statement Settings
    * Bank Statement Setting Item
    * Bank Statement Transaction Entry
    * Bank Statement Transaction Invoice Item
    * Bank Statement Transaction Payment Item
    * Bank Statement Transaction Settings
    * Bank Statement Transaction Settings Item
    * Subscription Invoice
    * Subscription Settings
    * Subscriber
- The subscription functionality has been completely refactored and it is now possible to:
    * Generate a sales order before generation of a sales invoice
    * Link a subscription to a payment gateway subscription and have its lifecycle triggered via webhooks
- Stripe and GoCardless integration have been refactored to handle subscriptions and trigger events via webhooks
- A new doctype __Sepa Direct Debit__ gives the possibility to generate XML files in pain.008.001.02, pain.008.002.02 or pain.008.003.02
- You can now extend the validity date of your quotations
- Sales invoices/Purchase invoices/Payment entries are now only named after submission. It solves a compliance issue users in some countries may be facing.
- A new doctype __Item Booking__ allows you to open bookings on the portal for your customers.
- Refactor of the __Profile (/me)__ page on the portal to integrate a payment methods update widget (Only Stripe compatible for now).

### dodock [Framework]
- The user interface has been enhanced with a few major changes:
    * The desk is now a big dashboard on which you can pin three types of elements: calendars, charts and cards
        1. Calendars are fetching events for all doctypes with a "Calendar view"
        2. Charts can be created in the doctype "Dashboard Chart" on any doctype or via custom scripts in a custom application
        3. Cards can be created in the doctype "Dashboard Card" on any doctype or via custom scripts in a custom application
    * The modules are now accessible via a sidebar
    * Modules details (doctypes/pages/reports) can be found by clicking on the corresponding module in the sidebar
    * Each module can have its own dashboard
    * The user interface is now full-screen by default
    * The desk is also less accessible on mobiles for now. The current decision is to optimize it for tablets and computer displays.

- DocTypes can now be named after submission (Useful for Sales invoices for example. See above.)
- DocTypes can now be sealed:
    * They are integrated in a chained log, thus guaranteeing that they cannot be removed from the system without notice.
    * It replaces the Translation log document type
- DocTypes prints can now be tracked: the first print timestamp is registered in the database, and all further prints can be labelled as duplicates.
- The translation system has been refactored:
    * Translations are now file dependant, thus reducing the risk of translations collisions in some languages.
    * The translation file format is now JSON
- Stripe integration is now only available in dokos
- Multiple portal design enhancements